Bug 121314 - CAN-2004-0424 Linux kernel setsockopt MCAST_MSFILTER integer overflow
CAN-2004-0424 Linux kernel setsockopt MCAST_MSFILTER integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
http://isec.pl/vulnerabilities/isec-0...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 08:35 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 14:52:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-20 08:35:04 EDT
Reported to bugtraq on April 20th, a security  vulnerability has been
found in the Linux kernel in the ip_setsockopt() function code which
can allow privilege escalation.  Code affects kernel versions 2.4.22 -
2.4.25, 2.6.1 - 2.6.3.  It also affects the kernel shipped with Red
Hat Enterprise Linux 3 which contained a backported version of the
vulnerable code.
Comment 1 Mark J. Cox (Product Security) 2004-04-21 14:46:37 EDT
A RHSA-2003:183 is in progress and currently in QA.
Comment 2 Ernie Petrides 2004-04-21 23:55:31 EDT
The fixes for this problem have been committed to the E2 patch pool
(in kernel version 2.4.21-9.0.3.EL) and also to the U2 patch pool
(in kernel version 2.4.21-15.EL).
Comment 3 Mark J. Cox (Product Security) 2004-04-22 14:52:29 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-183.html

Note You need to log in before you can comment on or make changes to this bug.